Infrastructure - Bug #2424

Search Index initial population throws occasional multivalued error on isPublic field
2012-03-01 18:45 - Skye Roseboom

Status: Closed Start date: 2012-03-01
Priority: Normal Due date:

Assignee: Skye Roseboom % Done: 100%
Category: di_indexer Estimated time: 0.00 hour
Target version: Sprint-2012.09-Block.2.1

Milestone: CCI-1.0.0 Story Points:

Product Version: *

Description

Need to investigate what caused these errors when testing index population.

ERROR solrhttp.HTTPService - <?xml version="1.1" encoding="utf-8"?>

MNReplicationIT.20121812422877 1text/plain12d41d8cd98f00b204e9800998ecf8427eDC=0rg,DC=dataone,CN=testUserWriterMD5
DC=org,DC=dataone,CN=testUserWritertrue2DEMO1DEMO3DEMO1DEMO32012-01-18T20:42:29.25272012-02-29T07:53:41.890

Zurn:node:DEMO3urn:node:DEMO3DEMO2DEMO1DEMO3urn:node:DEMO3urn:node:DEMO1DEMO2DEMO1DEMO3urn:node:DE
MO32012-01-18T00:00:00.000Z22012-01-18T00:00:00.000Z22012-01-18T00:00:00.000Z2012-02-29T00:00:00.00022012-02-29T00:0
0:00.000Z2012-01-18T00:00:00.00022012-01-18T00:00:00.00022012-01-18T00:00:00.000Z22012-02-29T00:00:00.000Zpublicpublict

ruetruehttps://cn-dev-2.dataone.org/cn/vi/resolve/MNReplicationlT.201218124228771
ERROR solrhttp.HTTPService -

Response:

ERROR solrhttp.HTTPService - Apache Tomcat/6.0.24 - Error report<!--H1
{font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2
{font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3
{font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size: 14px;} BODY
{font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B
{font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P
{font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color :
#525D76;}--> HTTP Status 400 - ERROR: [MNReplicationIT.201218124228771] multiple values encountered for non multiValued
field isPublic: [true, true]type Status reportmessage ERROR: [MNReplicationIT.201218124228771] multiple values encountered for
non multiValued field isPublic: [true, true]description The request sent by the client was syntactically incorrect (ERROR:
[MNReplicationIT.201218124228771] multiple values encountered for non multiValued field isPublic: [true, true]).Apache
Tomcat/6.0.24

Failed document pids:

MNReplicationIT.201218124228771
MNReplicationlT.20121913335766
MNReplicationIT.20121881111947
TestReplicateOnCreateWithScienceMetadata.201224222114111
MNReplicationlT.20121881119334

Occurred 5 times out of over 6k documents. Data related?

History

#1 - 2012-03-01 18:45 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-03-01 20:21 - Skye Roseboom
- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

#3 - 2012-03-02 19:10 - Skye Roseboom

- Status changed from In Progress to Closed
https://cn-dev-2.dataone.org/cn/v1/resolve/MNReplicationIT.201218124228771

Corrected on trunk.

Search schema for isPublic field was defined to allow a single value (multivalued=false) while the xPath rule to mine the isPublic value was configured
to allow multiples.

XPath rule configuration updated to generate single value for isPublic.
